> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all integrations

> Return all Integrations.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /integrations
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /integrations:
    get:
      tags:
        - Integrations
      summary: Get all integrations
      description: Return all Integrations.
      operationId: getIntegrations
      parameters:
        - name: provider
          in: query
          description: >-
            Query by provider name to list all Integrations for a specific
            provider.
          schema:
            type: string
            enum:
              - aws
              - azure
              - gcp
              - snowflake
              - databricks
              - mongo
              - datadog
              - fastly
              - new_relic
              - opencost
              - open_ai
              - oracle
              - confluent
              - planetscale
              - coralogix
              - kubernetes
              - custom_provider
              - github
              - linode
              - grafana
              - clickhouse
              - temporal
              - twilio
              - azure_csp
              - kubernetes_agent
              - anthropic
              - anyscale
              - cursor
              - elastic
              - vercel
              - redis_cloud
              - circle_ci
              - modal
              - eleven_labs
        - name: account_identifier
          in: query
          description: >-
            Query by account identifier to list all Integrations that match a
            specific account. For Azure, this is the subscription ID. Must
            include provider when using this parameter.
          schema:
            type: string
        - name: page
          in: query
          description: The page of results to return.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The number of results to return. The maximum is 1000.
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integrations'
              example:
                links:
                  self: https://api.vantage.sh/v2/integrations
                  first: https://api.vantage.sh/v2/integrations?page=1
                  next: null
                  last: https://api.vantage.sh/v2/integrations?page=1
                  prev: null
                integrations:
                  - token: accss_crdntl_ac985d1d8bb8bc12
                    provider: gcp
                    account_identifier: project_id-3fc92ac0
                    status: imported
                    last_updated: '2024-07-30T15:30:22Z'
                    workspace_tokens:
                      - wrkspc_838cb4508ead3f6d
                    created_at: '2024-07-29T21:41:49Z'
                    managed_account_tokens: []
      security:
        - oauth2:
            - read
components:
  schemas:
    Integrations:
      required:
        - integrations
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        integrations:
          type: array
          items:
            $ref: '#/components/schemas/Integration'
      description: Integrations model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
    Integration:
      required:
        - account_identifier
        - created_at
        - managed_account_tokens
        - provider
        - status
        - token
        - workspace_tokens
      type: object
      properties:
        token:
          type: string
          nullable: false
        provider:
          type: string
          description: The name of the Integration.
          nullable: false
          example: AWS
        account_identifier:
          type: string
          description: >-
            The account identifier. For GCP this is the billing Account ID, for
            Azure this is the account ID
          nullable: true
          example: 011389-EF4C3E-3ED7AE
        status:
          type: string
          description: >-
            The status of the Integration. Can be 'connected', 'error',
            'pending', 'importing', 'imported', or 'disconnected'.
          nullable: false
          example: imported
          enum:
            - connected
            - error
            - pending
            - importing
            - imported
            - disconnected
        last_updated:
          type: string
          description: >-
            The date and time, in UTC, when the Integration was last updated.
            ISO 8601 Formatted.
          nullable: true
          example: '2023-08-04T00:00:00Z'
        workspace_tokens:
          type: array
          description: The tokens for any Workspaces that the account belongs to.
          nullable: false
          items:
            type: string
        created_at:
          type: string
          description: >-
            The date and time, in UTC, the Integration was created. ISO 8601
            Formatted.
          nullable: false
          example: '2023-08-04T00:00:00Z'
        managed_account_tokens:
          type: array
          description: >-
            The tokens for any Managed Accounts that are associated with the
            Integration.
          nullable: false
          items:
            type: string
      description: Integration model
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````